TAISEI(6)

NAME
taisei - shooting game

SYNOPSIS

taisei [{-r | --replay} FILE] [{-R | --verify-replay} FILE] [--rereplay=OUTFILE] [{-f | --frameskip} FRAME] [{-c | --credits}] [--renderer {gl33 | null}] [--populate-cache]

taisei [{-h | --help} | {-v | --version}]

DESCRIPTION

This manual page documents briefly the taisei command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

taisei is a shooting game.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). A summary of options is included below. For a complete description, see the info(1) files.

-r FILE, --replay=FILE
    Play a replay from FILE.

-R FILE, --verify-replay=FILE
    Play a replay from FILE in headless mode, crash as soon as it desyncs unless --rereplay is used.

--rereplay=OUTFILE
    Re-record replay into OUTFILE; specify input with -r or -R

-f FRAME, --frameskip=FRAME
    Disable FPS limiter, render only every FRAME frame.

-c, --credits
    Show the credits scene and exit.

--renderer={gl33,none}
    Choose the rendering backend.

--populate-cache
    Attempt to load all available resources, populating the cache, then exit.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

${HOME}/.local/share/taisen
    The per-user configuration directory to control the behaviour of taisei.

ENVIRONMENT

TAISEI_RES_PATH
    If set, overrides the default resource directory path.

TAISEI_STORAGE_PATH
    If set, overrides the default storage directory path. This is where Taisei saves your configuration, progress, screenshots and replays.

BUGS

The upstreams BTS can be found at https://github.com/taisei-project/taisei/issues.

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2024 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.